JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ contains() [1/2]
bool nlohmann::basic_json::contains | ( | const json_pointer & | ptr | ) | const
| inline
  Check whether the given JSON pointer ptr can be resolved in the current JSON value. Note This method can be executed on any JSON value type. Parameters
  [in] | ptr | JSON pointer to check its existence.
  Returns true if the JSON pointer can be resolved to a stored value, false otherwise. Postcondition If `j.contains(ptr)` returns true, it is safe to call `j[ptr]`. Exceptions
  parse_error.106 | if an array index begins with '0'
  parse_error.109 | if an array index was not a number
  Complexity Logarithmic in the size of the JSON object. Example The following code shows an example for `contains()`. 1 #include <iostream> 2 #include <nlohmann/json.hpp> 3 4 using json = nlohmann::json; 5 6 int main() 7 { 8 // create a JSON value 9 json j = 10 { 11 {"number", 1}, {"string", "foo"}, {"array", {1, 2}} 12 }; 13 14 std::cout << std::boolalpha 15 << j.contains("/number"_json_pointer) << '\n' 16 << j.contains("/string"_json_pointer) << '\n' 17 << j.contains("/array"_json_pointer) << '\n' 18 << j.contains("/array/1"_json_pointer) << '\n' 19 << j.contains("/array/-"_json_pointer) << '\n' 20 << j.contains("/array/4"_json_pointer) << '\n' 21 << j.contains("/baz"_json_pointer) << std::endl; 22 23 try 24 { 25 // try to use an array index with leading '0' 26 j.contains("/array/01"_json_pointer); 27 } 28 catch (json::parse_error& e) 29 { 30 std::cout << e.what() << '\n'; 31 } 32 33 try 34 { 35 // try to use an array index that is not a number 36 j.contains("/array/one"_json_pointer); 37 } 38 catch (json::parse_error& e) 39 { 40 std::cout << e.what() << '\n'; 41 } 42 } Output (play with this example online):
      true
      true
      true
      true
      false
      false
      false
  The example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/contains_json_pointer.cpp -o contains_json_pointer
See also contains(KeyT &&) const – checks the existence of a key Since version 3.7.0 Definition at line 20222 of file json.hpp.

nlohmann::basic_json::parse_error
detail::parse_error parse_error
exception indicating a parse error
Definition: json.hpp:16041
nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774